<?xml version="1.0" ?>
<!DOCTYPE gui SYSTEM "gui.dtd">
<gui lf="native">
<JFrame id="main" bg="lightGray" title="Test Frame" size="(300,250)" layout="BorderLayout()"
        script="this.onWindowClosing='java.lang.System.exit(0)'">
  <JMenuBar>
      <JMenu text="File">
           <JMenuItem text="Nothing"/>
           <JMenuItem text="NoDo"/>
	   <JSeparator/>
           <JMenuItem text="Quit" script="this.onAction='java.lang.System.exit(0);'" />
      </JMenu>
      <JMenu text="Option">
           <JCheckBoxMenuItem text="OnOff"/>
           <JSeparator/>   
           <JRadioButtonMenuItem text="Choice 1" selected="true"/>
           <JRadioButtonMenuItem text="Choice 2"/>
           <JRadioButtonMenuItem text="Choice 3"/>
      </JMenu>
  </JMenuBar>
  <JCheckBox text="Check me!"/>
</JFrame>
<script>
frame=getById("main");
frame.pack();
frame.show()
</script>
</gui>